Get Order Refund by ID

Retrieve information about a specific refund given an order_id and refund_id.

Get Order Refund by ID

get

Retrieves a specific refund by its ID within a given order. Returns a single Refund object with full details including the refund amount, status, reason, refunded SKUs, and any errors encountered during processing. All monetary values are in the smallest currency unit (e.g. cents for USD).

Path parameters
order_idinteger · int64Required

ID of the order containing the refund

Example: 11111
refund_idinteger · int64Required

ID of the refund to retrieve

Example: 10000
Header parameters
X-Violet-TokenstringRequired

API token for authentication

X-Violet-App-SecretstringRequired

Application secret key

X-Violet-App-Idinteger · int32Required

Application ID

Example: 10000
Responses
chevron-right
200

success

application/json

Order Refund

idinteger · int64Read-onlyRequired

Unique ID of the Refund.

order_idinteger · int64Required

ID of the Order being refunded

bag_idinteger · int64Optional

ID of the Bag being refunded

merchant_idinteger · int32Required

ID of the merchant making the refund

app_idinteger · int32Required

ID of the App that created the Order

transaction_idinteger · int64Required

ID of the Transaction being refunded

payment_transaction_idinteger · int64Required

ID of the Payment Transaction in Violet

gateway_transaction_idstringRequired

ID of the Transaction in the Payment Gateway

amountinteger · int32Required

Amount being refunded. In Cents

merchant_transfer_reversal_amount_usdinteger · int32Optional

Amount being taken back from the associated transfer to the merchant. In Cents

developer_transfer_reversal_amount_usdinteger · int32Optional

Amount being taken back from the associated transfer to the developer. In Cents

merchant_transfer_reversal_amount_platform_currencyinteger · int32Optional

Amount in fractional currency unit (e.g. cents) being taken back from the associated transfer to the merchant, in platform currency.

developer_transfer_reversal_amount_platform_currencyinteger · int32Optional

Amount in fractional currency unit (e.g. cents) being taken back from the associated transfer to the developer, in platform currency.

reasonstringOptional

Reason for refund

reason_codestring · enumOptional

Reason code for refund

Possible values:
refund_currencystringOptional

Currency set for this refund by the external ecom platform

platform_currencystringOptional

Currency used by the platform account for the payment provider that processed this Refund

statusstring · enumOptional

Status of the Refund

Possible values:
transfer_reversalsstring[]Optional

Unique identifiers of the Transfer Reversal objects in Violet that are associated with this transfer.

date_createdstring · date-timeOptional

Date of creation

date_last_modifiedstring · date-timeOptional

Date of last update

external_idstringOptional

ID of the refund on the external commerce platform. This value will only be populated if the external commerce platform supports refund ID's.

tax_amountinteger · int32 · nullableOptional

Tax amount being refunded. In Cents.

get
/orders/{order_id}/refunds/{refund_id}

Last updated

Was this helpful?